package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting;

import java.math.BigDecimal;
import java.util.Date;

public class QchjcAccountingUnifiedSupplierEntity {
    private Long id;

    private Long unifiedId;

    private Integer dimCreateBy;

    private String accountingOrderSn;

    private Integer accountingStatus;

    private Integer invoiceStatus;

    private String invoiceTitle;

    private Integer invoiceType;

    private String taxCode;

    private String address;

    private String saleId;

    private String saleName;

    private String contactsEmail;

    private String contactsFullAddress;

    private String contactsName;

    private String contactsPhone;

    private String sellerAddress;

    private String sellerEmail;

    private String sellerPhone;

    private String sellerUserId;

    private String sellerUserName;

    private Integer isSendEmail;

    private Date sendEmailTime;

    private Integer dateType;

    private Date startTime;

    private Date endTime;

    private Integer backAccountStatus;

    private Date createTime;

    private String createUserId;

    private String createUserName;

    private Date updateTime;

    private String updateUserId;

    private String updateUserName;

    private String remark;

    private Integer invoiceApplyStatus;

    private String invoiceApplyUserId;

    private Date invoiceApplyTime;

    private Integer invoiceApplyModeRecord;

    private BigDecimal accountingOrderAmount;

    private BigDecimal accountingOrderAmountWithFreight;

    private BigDecimal rebateAmount;

    private BigDecimal statisticsTotalAmount;

    private BigDecimal jcUnAccountingAmount;

    private BigDecimal unAccountingAmount;

    private Date syncTime;

    private Integer storageStatus;

    private String storageReason;

    private Date storageTime;

    private Integer invoiceCount;

    private Integer receiveInvoiceStatus;

    private Integer orderGoodsCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnifiedId() {
        return unifiedId;
    }

    public void setUnifiedId(Long unifiedId) {
        this.unifiedId = unifiedId;
    }

    public Integer getDimCreateBy() {
        return dimCreateBy;
    }

    public void setDimCreateBy(Integer dimCreateBy) {
        this.dimCreateBy = dimCreateBy;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public Integer getAccountingStatus() {
        return accountingStatus;
    }

    public void setAccountingStatus(Integer accountingStatus) {
        this.accountingStatus = accountingStatus;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getTaxCode() {
        return taxCode;
    }

    public void setTaxCode(String taxCode) {
        this.taxCode = taxCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getSaleId() {
        return saleId;
    }

    public void setSaleId(String saleId) {
        this.saleId = saleId;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public String getContactsEmail() {
        return contactsEmail;
    }

    public void setContactsEmail(String contactsEmail) {
        this.contactsEmail = contactsEmail;
    }

    public String getContactsFullAddress() {
        return contactsFullAddress;
    }

    public void setContactsFullAddress(String contactsFullAddress) {
        this.contactsFullAddress = contactsFullAddress;
    }

    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName;
    }

    public String getContactsPhone() {
        return contactsPhone;
    }

    public void setContactsPhone(String contactsPhone) {
        this.contactsPhone = contactsPhone;
    }

    public String getSellerAddress() {
        return sellerAddress;
    }

    public void setSellerAddress(String sellerAddress) {
        this.sellerAddress = sellerAddress;
    }

    public String getSellerEmail() {
        return sellerEmail;
    }

    public void setSellerEmail(String sellerEmail) {
        this.sellerEmail = sellerEmail;
    }

    public String getSellerPhone() {
        return sellerPhone;
    }

    public void setSellerPhone(String sellerPhone) {
        this.sellerPhone = sellerPhone;
    }

    public String getSellerUserId() {
        return sellerUserId;
    }

    public void setSellerUserId(String sellerUserId) {
        this.sellerUserId = sellerUserId;
    }

    public String getSellerUserName() {
        return sellerUserName;
    }

    public void setSellerUserName(String sellerUserName) {
        this.sellerUserName = sellerUserName;
    }

    public Integer getIsSendEmail() {
        return isSendEmail;
    }

    public void setIsSendEmail(Integer isSendEmail) {
        this.isSendEmail = isSendEmail;
    }

    public Date getSendEmailTime() {
        return sendEmailTime;
    }

    public void setSendEmailTime(Date sendEmailTime) {
        this.sendEmailTime = sendEmailTime;
    }

    public Integer getDateType() {
        return dateType;
    }

    public void setDateType(Integer dateType) {
        this.dateType = dateType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getBackAccountStatus() {
        return backAccountStatus;
    }

    public void setBackAccountStatus(Integer backAccountStatus) {
        this.backAccountStatus = backAccountStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getInvoiceApplyStatus() {
        return invoiceApplyStatus;
    }

    public void setInvoiceApplyStatus(Integer invoiceApplyStatus) {
        this.invoiceApplyStatus = invoiceApplyStatus;
    }

    public String getInvoiceApplyUserId() {
        return invoiceApplyUserId;
    }

    public void setInvoiceApplyUserId(String invoiceApplyUserId) {
        this.invoiceApplyUserId = invoiceApplyUserId;
    }

    public Date getInvoiceApplyTime() {
        return invoiceApplyTime;
    }

    public void setInvoiceApplyTime(Date invoiceApplyTime) {
        this.invoiceApplyTime = invoiceApplyTime;
    }

    public Integer getInvoiceApplyModeRecord() {
        return invoiceApplyModeRecord;
    }

    public void setInvoiceApplyModeRecord(Integer invoiceApplyModeRecord) {
        this.invoiceApplyModeRecord = invoiceApplyModeRecord;
    }

    public BigDecimal getAccountingOrderAmount() {
        return accountingOrderAmount;
    }

    public void setAccountingOrderAmount(BigDecimal accountingOrderAmount) {
        this.accountingOrderAmount = accountingOrderAmount;
    }

    public BigDecimal getAccountingOrderAmountWithFreight() {
        return accountingOrderAmountWithFreight;
    }

    public void setAccountingOrderAmountWithFreight(BigDecimal accountingOrderAmountWithFreight) {
        this.accountingOrderAmountWithFreight = accountingOrderAmountWithFreight;
    }

    public BigDecimal getRebateAmount() {
        return rebateAmount;
    }

    public void setRebateAmount(BigDecimal rebateAmount) {
        this.rebateAmount = rebateAmount;
    }

    public BigDecimal getStatisticsTotalAmount() {
        return statisticsTotalAmount;
    }

    public void setStatisticsTotalAmount(BigDecimal statisticsTotalAmount) {
        this.statisticsTotalAmount = statisticsTotalAmount;
    }

    public BigDecimal getJcUnAccountingAmount() {
        return jcUnAccountingAmount;
    }

    public void setJcUnAccountingAmount(BigDecimal jcUnAccountingAmount) {
        this.jcUnAccountingAmount = jcUnAccountingAmount;
    }

    public BigDecimal getUnAccountingAmount() {
        return unAccountingAmount;
    }

    public void setUnAccountingAmount(BigDecimal unAccountingAmount) {
        this.unAccountingAmount = unAccountingAmount;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public Integer getStorageStatus() {
        return storageStatus;
    }

    public void setStorageStatus(Integer storageStatus) {
        this.storageStatus = storageStatus;
    }

    public String getStorageReason() {
        return storageReason;
    }

    public void setStorageReason(String storageReason) {
        this.storageReason = storageReason;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }

    public Integer getInvoiceCount() {
        return invoiceCount;
    }

    public void setInvoiceCount(Integer invoiceCount) {
        this.invoiceCount = invoiceCount;
    }

    public Integer getReceiveInvoiceStatus() {
        return receiveInvoiceStatus;
    }

    public void setReceiveInvoiceStatus(Integer receiveInvoiceStatus) {
        this.receiveInvoiceStatus = receiveInvoiceStatus;
    }

    public Integer getOrderGoodsCount() {
        return orderGoodsCount;
    }

    public void setOrderGoodsCount(Integer orderGoodsCount) {
        this.orderGoodsCount = orderGoodsCount;
    }
}